//
//  Configuration.swift
//  Cloudy
//
//  Created by Bart Jacobs on 01/10/16.
//  Copyright © 2016 Cocoacasts. All rights reserved.
//

import Foundation

struct Defaults {

    static let Latitude: Double = 51.400592
    static let Longitude: Double = 4.760970

}

struct API {
    
    static let APIKey = ""
    static let BaseURL = URL(string: "https://api.darksky.net/forecast/")!
    
    static var AuthenticatedBaseURL: URL {
        guard !APIKey.isEmpty else {
            fatalError("You need to enter a valid Dark Skey API key. Visit https://darksky.net/dev/register for more information.")
        }
        
        return BaseURL.appendingPathComponent(APIKey)
    }
    
}
